# Supported Learning Tasks

## Compressive Clustering 

The main wrapper for clustering is the [`CKM`](@ref) function.
The standard error metric for k-means is the sum of squared errors (SSE), which can be computed in its normalized form with the following function [`NSSE`](@ref).

## Compressive Gaussian modeling

The main wrapper for clustering is the [`CGMM`](@ref) function.

## Compressive PCA (CPCA)

The main wrapper for principal component analysis is the [`CPCA`](@ref) function.
